Package com.massivecraft.factions.cmd

## Class CommandRequirements.Builder

- java.lang.Object
- - com.massivecraft.factions.cmd.CommandRequirements.Builder

Enclosing class:
  CommandRequirements

    public static class CommandRequirements.Builder
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`Builder​(Permission permission)` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`CommandRequirements.Builder` | `brigadier​(java.lang.Class<? extends BrigadierProvider> brigadier)` |
`CommandRequirements` | `build()` |
`CommandRequirements.Builder` | `memberOnly()` |
`CommandRequirements.Builder` | `noDisableOnLock()` |
`CommandRequirements.Builder` | `noErrorOnManyArgs()` |
`CommandRequirements.Builder` | `playerOnly()` |
`CommandRequirements.Builder` | `withAction​(PermissableAction action)` |
`CommandRequirements.Builder` | `withRole​(Role role)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder​(Permission permission)

### Method Detail

#### playerOnly

    public CommandRequirements.Builder playerOnly()

#### memberOnly

    public CommandRequirements.Builder memberOnly()

#### withRole

    public CommandRequirements.Builder withRole​(Role role)

#### withAction

    public CommandRequirements.Builder withAction​(PermissableAction action)

#### brigadier

    public CommandRequirements.Builder brigadier​(java.lang.Class<? extends BrigadierProvider> brigadier)

#### build

    public CommandRequirements build()

#### noErrorOnManyArgs

    public CommandRequirements.Builder noErrorOnManyArgs()

#### noDisableOnLock

    public CommandRequirements.Builder noDisableOnLock()